Name:    laby
Version: 0.6.3
Release: %mkrel 4
Summary: Learn how to program with ants and spider webs
Source0: http://github.com/sgimenez/laby/%{name}-%{version}.tar.gz
Source1: %{name}.png
License: GPLv3+
Group:   Games/Puzzles
Url:     http://github.com/sgimenez/laby

BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: ocaml-lablgtk2-devel
BuildRequires: gtksourceview2-devel

Requires: ocaml-compiler
Suggests: gcc
Suggests: javac
Suggests: perl
Suggests: python
Suggests: gprolog

%description
Laby is a small program to learn how to program with ants and
spider webs. You have to move an ant out of a labyrinth, avoid
spider webs, move rocks, ... etc. Your weapon? A program!

Using Laby, you can have fun while learning OCaml, C, Perl, Java,
Python or even Prolog.


%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_datadir}/laby
cp $(readlink -f laby) %{buildroot}%{_gamesbindir}/laby
cp -r data/* %{buildroot}%{_datadir}/laby/
install -m 755 -d %{buildroot}/%{_iconsdir}
cp %{SOURCE1} %{buildroot}/%{_iconsdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Comment[fr]=Apprenez à programmer avec des fourmis et des toiles d'araignées
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF
#'

%files
%doc AUTHORS COPYRIGHT TRANSLATION
%attr(0755, root, games) %{_gamesbindir}/*
%{_datadir}/laby/*
%{_datadir}/applications/*
%{_iconsdir}/*.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.6.3-4.mga3
+ Revision: 356632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.3-3.mga3
+ Revision: 301631
- new rpm group for ocaml
- added French language in the .desktop file
- converted the .desktop icon from .xpm to .png
- cleaned the .spec file

* Sat Aug 04 2012 malo <malo> 0.6.3-2.mga3
+ Revision: 278505
- fix requires to ocaml-compiler
- update url

* Wed Nov 02 2011 malo <malo> 0.6.3-1.mga2
+ Revision: 161850
- fixing BuildRequires
- spec cleanup.
- imported package laby

